package me.akito123321.valoStrats.schemas;

import java.util.List;

import jakarta.persistence.Column;
import jakarta.persistence.ElementCollection;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Lob;
import jakarta.persistence.ManyToOne;

@Entity
public class Strat {
	@Id
	@GeneratedValue(strategy = GenerationType.UUID)
	private String id;
	private String title;
	private String description;
	@ManyToOne
	private Group group;
	
	@Lob
	@Column(length = Integer.MAX_VALUE)
	@ElementCollection(fetch = FetchType.EAGER)
	private List<byte[]> stratStates;
	
	@Lob
	@Column(length = Integer.MAX_VALUE)
	@ElementCollection(fetch = FetchType.EAGER)
	private List<byte[]> lineups;

	public Strat(String title, String description, Group group, List<byte[]> stratStates, List<byte[]> lineups) {
		this.title = title;
		this.description = description;
		this.group = group;
		this.stratStates = stratStates;
		this.lineups = lineups;
	}

	public Strat() {

	}

	public String getId() {
		return id;
	}

	public String getTitle() {
		return title;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public List<byte[]> getStratStates() {
		return stratStates;
	}

	public void setStratStates(List<byte[]> stratStates) {
		this.stratStates = stratStates;
	}

	public List<byte[]> getLineups() {
		return lineups;
	}

	public void setLineups(List<byte[]> lineups) {
		this.lineups = lineups;
	}

}
